Support the `mongodb-10gen` database as well as `mongodb` #369

Merged
merged 1 commit into from Jan 22, 2013

Conversation

Projects
None yet
1 participant
Contributor

slippycheeze commented Jan 22, 2013

We generally installed using the upstream 10gen packages of MongoDB, even when
there were distribution packages, with the git modules. As part of smoothing
the migration between the two we should make the mongodb-10gen package
satisfy the dependencies of the Razor package.

That should allow both modes - distribution packaged mongodb, or upstream, to
work correctly as the developer wishes.

This is not an issue on the RPM side of the fence, since their policies forbid
any direct dependency between our package and the storage engine.

Signed-off-by: Daniel Pittman daniel@rimspace.net

@slippycheeze slippycheeze Support the `mongodb-10gen` database as well as `mongodb`
We generally installed using the upstream 10gen packages of MongoDB, even when
there were distribution packages, with the git modules.  As part of smoothing
the migration between the two we should make the `mongodb-10gen` package
satisfy the dependencies of the Razor package.

That should allow both modes - distribution packaged mongodb, or upstream, to
work correctly as the developer wishes.

This is not an issue on the RPM side of the fence, since their policies forbid
any direct dependency between our package and the storage engine.

This closes #368.

Signed-off-by: Daniel Pittman <daniel@rimspace.net>
1cc331c

slippycheeze merged commit 593e004 into puppetlabs:master Jan 22, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment